Subject: Re: bash, tcsh and perl
From: [email-masked] (Corinna Vinschen)

16 Jan 1999 20:11:22 -0800
Message-ID: <[email-masked]>
References: <01BE41A5.EDE3EF60@JONATHAN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jun Ohya <[email-masked]>, [email-masked]

Jun Ohya wrote:
> 
> I've installed cygwin32 B20.1 and ActiveState perl 509 on Win95.
> 
> Using bash, the following script runs as expected, printing results on the bash screen.
> 
> Using tcsh from ftp.franken.de, a DOS window pops up, prints the results
> there and exits, taking the DOS window with it.
> If I run the script from the command prompt as "perl test.pl",
> the output is shown on the same tcsh screen.
> 
> Is this the normal behavior for tcsh?  Or can a tweak my .tcshrc so it will
> act the same as bash?
> 
> ----<snip>----
> ~>cat test.pl
> #!perl
> print "No more windows, please!\n";
> ----<snip>----

Seems to be a effect only with ActiveState perl. I'm using cygwin ported
perl5.00501 and I got output into the terminal/console window, regardless of
the used shell and the CYGWIN=[no]tty mode.

Regards,
Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".